# $Revision: 1.4 $, $Date: 2011/08/15 07:26:25 $
Summary:	Default configuration for LXDE
Name:		lxde-common
Version:	0.5.5
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.gz
# Source0-md5:	e51a6b2a815a89fda1f497b509465a97
URL:		http://www.lxde.org/
Requires:	openbox
Requires:	xorg-app-xprop
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
lxde-common package provides a set of default configuration for LXDE.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%dir /etc/xdg/lxsession
%dir /etc/xdg/lxsession/LXDE
%config(noreplace) %verify(not md5 mtime size) /etc/xdg/lxsession/LXDE/autostart
%config(noreplace) %verify(not md5 mtime size) /etc/xdg/lxsession/LXDE/desktop.conf
%config(noreplace) %verify(not md5 mtime size) /etc/xdg/pcmanfm/LXDE/pcmanfm.conf
%attr(755,root,root) %{_bindir}/lxde-logout
%attr(755,root,root) %{_bindir}/openbox-lxde
%attr(755,root,root) %{_bindir}/startlxde
%{_datadir}/lxde
%{_datadir}/lxpanel
%{_mandir}/man1/lxde-logout*
%{_mandir}/man1/openbox-lxde*
%{_mandir}/man1/startlxde*
%{_datadir}/xsessions/LXDE.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lxde-common.spec,v $
Revision 1.4  2011/08/15 07:26:25  glen
- up to 0.5.5

Revision 1.3  2010/12/29 21:14:53  glen
- some scripts use xprop

Revision 1.2  2010/09/14 19:33:58  glen
- ws cleanup

Revision 1.1  2010/07/29 17:41:09  witekfl
- new
